List of all members
clan::Base64Encoder Class Reference
clanCore Math

Base64 encoder class. More...

`#include <base64_encoder.h>`

## Public Member Functions
Construction
| Base64Encoder ()
| Constructs a base64 encoder. More...
Attributes
DataBuffer & | get_result ()
| Returns the data in encoded form. More...

## Operations
void | reset ()
| Resets the encoder. More...
void | feed (const void *data, int size, bool append_result=true)
| Feeds the encoder with more data. More...
void | finalize (bool append_result=true)
| Ends the base64 encoding. More...
static std::string | encode (const void *data, int size)
| Base64 encodes data and returns it as an 8 bit string. More...
static std::string | encode (const std::string &data)
| Encode. More...
static std::string | encode (const DataBuffer &data)
| Encode. More...

## Detailed Description

Base64 encoder class.

The documentation for this class was generated from the following file:

- base64_encoder.h